/****************************************************************************
* 조직 조회
****************************************************************************/
function fn_selectListGroupOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webgroup/selectListGroupOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	return result;
}

/****************************************************************************
* 직무 조회
****************************************************************************/
function fn_selectListDutyOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webduty/selectListDutyOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}

/****************************************************************************
* 닥터 option 조회
****************************************************************************/
function fn_selectListMemberDoctorOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webmember/selectListMemberDoctorOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}

/****************************************************************************
* 연차유형 조회
****************************************************************************/
function fn_selectListVacationOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webvacation/selectListVacationOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}
/****************************************************************************
 * 예약/바로접수 등록 권한 체크(헤더)
 ****************************************************************************/
function fn_reserveRelationCheck(){
	let result;

	let formData = new FormData();
	formData.append("menuName","예약현황")
	$.ajax({
		url: encodeURI('/webauth/selectHeaderRelation.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows.insertUseYn==='Y';
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){

		},
		complete:function(){

		}
	});

	return result;
}
/****************************************************************************
 * 신환 등록 권한 체크(헤더)
 ****************************************************************************/
function fn_userRelationCheck(){
	let result;

	let formData = new FormData();
	formData.append("menuName","고객 목록")
	$.ajax({
		url: encodeURI('/webauth/selectHeaderRelation.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows.insertUseYn==='Y';
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){

		},
		complete:function(){

		}
	});

	return result;
}
/****************************************************************************
* 권한 조회
****************************************************************************/
function fn_selectListAuthOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webauth/selectListAuthOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}

/****************************************************************************
* 진료 조회
****************************************************************************/
function fn_selectListTreatmentOption2(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webtreatment/selectListTreatmentOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}

/****************************************************************************
* 거래처 조회
****************************************************************************/
function fn_selectListCompanyOption(){
	let result = [];
	
	let formData = new FormData();
	
	$.ajax({
		url: encodeURI('/webcompany/selectListCompanyOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result = data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
			
		},
		complete:function(){
			
		}
	});
	
	return result;
}

/****************************************************************************
* 예약경로 조회
****************************************************************************/
function fn_selectListReserveCategoryItemOption(){
	let formData = new FormData();
	let result=[];
	$.ajax({
		url: encodeURI('/webcategory/selectCategoryItemList.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				if (0 < Object.keys(data.rows).length) {
					Object.keys(data.rows).forEach(category => {
						if('예약경로'===data.rows[category][0].categoryName){
							result=data.rows[category];
						}
					});
				}
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
		},
		complete:function(){
		}
	});
	return result;
}

/****************************************************************************
* 닥터 /상담자 조회
****************************************************************************/
function fn_selectListReserveMemberOption(param, param2, param3){
	let result=[];
	
	// if(true != fn_emptyCheck(param)){
	// 	return result;
	// }
	
	if(true != fn_emptyCheck(param2)){
		return result;
	}
	
	let formData = new FormData();
	formData.append("searchDate", param);
	formData.append("searchTime", param3);
	formData.append("muTreatmentProcedureId", param2);
	
	$.ajax({
		url: encodeURI('/webmember/selectListMemberDoctorConsultingOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result=data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
		},
		complete:function(){
		}
	});
	return result;
}

/****************************************************************************
* 진료 시술 조회
****************************************************************************/
function fn_selectListTreatmentProcedureOption(param){
	let result=[];
	
	if(true != fn_emptyCheck(param)){
		return result;
	}
	
	let formData = new FormData();
	formData.append("muTreatmentId", param);
	
	$.ajax({
		url: encodeURI('/webtreatmentprocedure/selectListTreatmentProcedureOption2.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result=data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
		},
		complete:function(){
		}
	});
	return result;
}

/****************************************************************************
* 고객 - 1년간 진료내역 조회 (수납완료건) (List, option)
****************************************************************************/
function fn_selectListReserveUserOption(param){
	let result=[];
	
	if(true != fn_emptyCheck(param)){
		return result;
	}
	
	let formData = new FormData();
	formData.append("muUserId", param);
	
	$.ajax({
		url: encodeURI('/webreserve/selectListReserveUserOption.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				result=data.rows;
			}
			else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
			}
			else{
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){
		},
		complete:function(){
		}
	});
	return result;
}


/****************************************************************************
 * 검색필터 조회 (header 공통위해 user.js에서 가져옴.)
 ****************************************************************************/
function fn_selectCategoryList2(){
    let result = []
    let formData = new FormData();
    formData.append("menuClass", menuClass);
    $.ajax({
        url: encodeURI('/webcategory/selectCategoryList.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){
                if(0<data.rows.length){
                    result = data.rows;
                }
            }
            else{
                modalEvent.danger("조회 오류", data.msgDesc);
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
    return result;
}

/****************************************************************************
 * 근무시간 조회
 ****************************************************************************/
function fn_searchSetTime(target,searchDate){
	let result = []
	let formData = new FormData();
	formData.append("menuClass", menuClass);
	$.ajax({
		url: encodeURI('/webhospital/selectWorkTime.do'),
		data: formData,
		dataType: "json",
		processData: false,
		contentType: false,
		type: 'POST',
		async: false,
		success: function(data){
			if('0'==data.msgCode){
				if(0<data.rows.length){
					result = data.rows;
					fn_setOperatingHours(target,searchDate,result[0])
				}
			}
			else{
				modalEvent.danger("조회 오류", data.msgDesc);
			}
		},
		error : function(xhr, status, error) {
			modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
		},
		beforeSend:function(){

		},
		complete:function(){

		}
	});
	return result;
}

function fn_setOperatingHours(target,searchDate,data) {
	const daysOfWeek = ['sun', 'mon', 'tue', 'wed', 'thu', 'fri', 'sat'];
	const today = new Date(searchDate).getDay()
	const todayIndex = daysOfWeek[today];

	const openYn = data[`${todayIndex}OpenYn`];
	if (openYn === 'Y') {
		const openStartTime = data[`${todayIndex}OpenStartTime`];
		const openEndTime = data[`${todayIndex}OpenEndTime`];
		fn_setWorkTimeValue(target,openStartTime, openEndTime);
	}
}

function fn_setWorkTimeValue(target,openStartTime,openEndTime){
	let timeHTML = '';
	let startTime = openStartTime.split(':')[0]
	let endTime = openEndTime.split(':')[0]

	for(let i = startTime; i <= endTime; i++) {
		let hour = i;


		if(0 == i){
			timeHTML += '<li class="option_list_item first">' + hour + ':00</li>';
			timeHTML += '<li class="option_list_item">' + hour + ':30</li>';
		}else if(endTime == i && "00" == openEndTime.split(':')[1]){
			timeHTML += '<li class="option_list_item">' + hour + ':00</li>';
		}else if(endTime == i && "30" == openEndTime.split(':')[1]){
			timeHTML += '<li class="option_list_item">' + hour + ':00</li>';
			timeHTML += '<li class="option_list_item">' + hour + ':30</li>';
		}else{
			timeHTML += '<li class="option_list_item">' + hour + ':00</li>';
			timeHTML += '<li class="option_list_item">' + hour + ':30</li>';
		}
	}
	$('#'+target).empty().html(timeHTML);

	$('#'+target).siblings("button").text(openStartTime);
	$('#'+target).siblings("input").val(openStartTime);

	// 옵션 선택 이벤트
	$('#'+target + '>.option_list_item').on('click', function() {
		let selectedOption = $(this).text();
		$(this).parent().siblings("button").text(selectedOption);
		$(this).parent().siblings("input").val(selectedOption);


		// 예약시간 변경시 초기화
		if(target.includes("reserveInsertModal #list1")){

			let selectIdx = $("#reserveInsertModal #list1 .select_option_list.time").index($(this).closest(".select_option_list.time"));

			// 초기화
			// 예약경로
			$("#reserveInsertModal #list1 [name=modalReserveCategoryItemCode]").eq(selectIdx).val("");
			$("#reserveInsertModal #list1 [name=modalReserveCategoryItemCode]").eq(selectIdx).siblings("button").text("예약경로");
			// 진로유형
			$("#reserveInsertModal #list1 [name=modalTreatmentProcedureId]").eq(selectIdx).val("");
			$("#reserveInsertModal #list1 [name=modalTreatmentProcedureName]").eq(selectIdx).val("");
			// 닥터/상담
			$("#reserveInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).val("");
			$("#reserveInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).siblings("button").text("닥터/상담");
			$("#reserveInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).siblings("ul").find("li").remove();
			// 예약메모
			$("#reserveInsertModal #list1 [name=modalEtc]").eq(selectIdx).val("");
		}else if(target.includes("reserveInsertModal #list2")){

			let selectIdx = $("#reserveInsertModal #list2 .select_option_list.time").index($(this).closest(".select_option_list.time"));

			// 초기화
			// 예약경로
			$("#reserveInsertModal #list2 [name=modalReserveCategoryItemCode]").eq(selectIdx).val("");
			$("#reserveInsertModal #list2 [name=modalReserveCategoryItemCode]").eq(selectIdx).siblings("button").text("예약경로");
			// 진로유형
			$("#reserveInsertModal #list2 [name=modalTreatmentProcedureId]").eq(selectIdx).val("");
			$("#reserveInsertModal #list2 [name=modalTreatmentProcedureName]").eq(selectIdx).val("");
			// 닥터/상담
			$("#reserveInsertModal #list2 [name=modalReserveMemberId]").eq(selectIdx).val("");
			$("#reserveInsertModal #list2 [name=modalReserveMemberId]").eq(selectIdx).siblings("button").text("닥터/상담");
			$("#reserveInsertModal #list2 [name=modalReserveMemberId]").eq(selectIdx).siblings("ul").find("li").remove();
			// 예약메모
			$("#reserveInsertModal #list2 [name=modalEtc]").eq(selectIdx).val("");
		}else if(target.includes("reserveReadyInsertModal #list1")){

			let selectIdx = $("#reserveInsertModal #list2 .select_option_list.time").index($(this).closest(".select_option_list.time"));

			// 초기화
			// 예약경로
			$("#reserveReadyInsertModal #list1 [name=modalReserveCategoryItemCode]").eq(selectIdx).val("");
			$("#reserveReadyInsertModal #list1 [name=modalReserveCategoryItemCode]").siblings("button").text("예약경로");
			// 진로유형
			$("#reserveReadyInsertModal #list1 [name=modalTreatmentProcedureId]").eq(selectIdx).val("");
			$("#reserveReadyInsertModal #list1 [name=modalTreatmentProcedureName]").eq(selectIdx).val("");
			// 닥터/상담
			$("#reserveReadyInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).val("");
			$("#reserveReadyInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).siblings("button").text("닥터/상담");
			$("#reserveReadyInsertModal #list1 [name=modalReserveMemberId]").eq(selectIdx).siblings("ul").find("li").remove();
			// 예약메모
			$("#reserveReadyInsertModal #list1 [name=modalEtc]").eq(selectIdx).val("");
		}
	});
}


/****************************************************************************
 * 모달 검색필터 조회 (header 공통위해 user.js에서 가져옴.)
 ****************************************************************************/
function fn_selectModalOtherOption2(categoryCode){
    let formData = new FormData();
    formData.append('categoryCode', categoryCode);
    $.ajax({
        url: encodeURI('/webcategory/selectCategoryItem.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0' === data.msgCode){
                if (data.rows && 0 < Object.keys(data.rows).length) {
					let categoryName = '';
				    $('.select_box button').each(function() {
					    categoryName = $(this).text();
                        if (Object.values(data.rows).some(item => item.categoryName === categoryName)) {
						    let ulElement = $(this).parent().find('ul');
						    ulElement.html('');

						    Object.values(data.rows).forEach(categoryItem => {
							    if (categoryItem.categoryName === categoryName) {
								    let categoryItemCode = categoryItem.categoryItemCode;
								    let categoryItemName = categoryItem.categoryItemName;
                                    let nationality = '';

                                    if (categoryItem.categoryName === '국적') {
									    nationality = categoryItemName.toLowerCase().includes('한국'.toLowerCase()) ? 'local' : 'foreigner';
                                    } else if (categoryItem.categoryName === '고객구분') {
									    let url = categoryItem.filePath.replace("C:", "");
                                        categoryItemName = `<img src="${url}">`;
                                    }

                                    let listHTML = `<li class="option_list_item ${nationality}" data-code="${categoryCode}" id="li_${categoryItemCode}">${categoryItemName}</li>`;
                                    ulElement.append(listHTML);
                                }
                            });
                        }
                    });
				}
            } else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
            } else {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){
        },
        complete:function(){
        }
    });
}

/****************************************************************************
 * 모달 검색필터 조회 (header 공통위해 user.js에서 가져옴.)
 ****************************************************************************/
function fn_selectModalOtherOption3(categoryCode, target){
    let formData = new FormData();
    formData.append('categoryCode', categoryCode);
    $.ajax({
        url: encodeURI('/webcategory/selectCategoryItem.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0' === data.msgCode){
                if (data.rows && 0 < Object.keys(data.rows).length) {
					let categoryName = '';
				    $('#'+target+' .select_box button').each(function() {
					    categoryName = $(this).text();
                        if (Object.values(data.rows).some(item => item.categoryName === categoryName)) {
						    let ulElement = $(this).parent().find('ul');
						    ulElement.html('');

						    Object.values(data.rows).forEach(categoryItem => {
							    if (categoryItem.categoryName === categoryName) {
								    let categoryItemCode = categoryItem.categoryItemCode;
								    let categoryItemName = categoryItem.categoryItemName;
                                    let nationality = '';

                                    if (categoryItem.categoryName === '국적') {
									    nationality = categoryItemName.toLowerCase().includes('한국'.toLowerCase()) ? 'local' : 'foreigner';
                                    } else if (categoryItem.categoryName === '고객구분') {
									    let url = categoryItem.filePath.replace("C:", "");
                                        categoryItemName = `<img src="${url}">`;
										ulElement.html('<li class="option_list_item" data-code="" id="li_">선택안함</li>');
                                    }

                                    let listHTML = `<li class="option_list_item ${nationality}" data-code="${categoryCode}" id="li_${categoryItemCode}">${categoryItemName}</li>`;
                                    ulElement.append(listHTML);
                                }
                            });
                        }
                    });
				}
            } else if(data.msgCode=='-1'){
				modalEvent.warning("조회 오류", data.msgDesc);
            } else {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){
        },
        complete:function(){
        }
    });
}